- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgDB::RegisterReaderWriterProxy< T > Class Template Reference

Proxy class for automatic registration of reader/writers with the Registry. More...

List of all members.

## Public Member Functions
| RegisterReaderWriterProxy ()
| ~RegisterReaderWriterProxy ()
T * | get ()
## Protected Attributes
osg::ref_ptr< T > | _rw

## Detailed Description

### template<class T>
class osgDB::RegisterReaderWriterProxy< T >

Proxy class for automatic registration of reader/writers with the Registry.

## Constructor & Destructor Documentation

template<class T>
osgDB::RegisterReaderWriterProxy< T >::RegisterReaderWriterProxy | ( |  | ) | `[inline]`

template<class T>
osgDB::RegisterReaderWriterProxy< T >::~RegisterReaderWriterProxy | ( |  | ) | `[inline]`

## Member Function Documentation

template<class T>
T* osgDB::RegisterReaderWriterProxy< T >::get | ( |  | ) | `[inline]`

## Member Data Documentation

template<class T>
osg::ref_ptr<T> osgDB::RegisterReaderWriterProxy< T >::_rw`[protected]`

The documentation for this class was generated from the following file:

- osgDB/Registry